#Makefile for types functions of psLib
#
noinst_LTLIBRARIES = libpslibtypes.la

libpslibtypes_la_CPPFLAGS = $(SRCINC) $(CFITSIO_CFLAGS)
libpslibtypes_la_SOURCES = \
	psArray.c \
	psBitSet.c \
	psHash.c \
	psList.c \
	psLookupTable.c \
	psMetadata.c \
	psMetadataConfig.c \
	psPixels.c

EXTRA_DIST = types.i

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psArray.h \
	psBitSet.h \
	psHash.h \
	psList.h \
	psLookupTable.h \
	psMetadata.h \
	psMetadataConfig.h \
	psPixels.h
